%if 0%{?fedora} >= 15 || 0%{?rhel} >= 7
%global with_systemd 1
%endif

Name:		dbforbix
Version:	0.6
Release:	1%{?dist}
Summary:	DBforBIX is a daemon designed to work in combination with Zabbix Enterprise Monitor to provide multi-tiered monitoring, performance and availability reporting and measurement for the many kind of different databases, along with server performance metrics.
Group:		Applications/Internet
License:	GPLv3
URL:		http://www.smartmarmot.com
Source0:	http://downloads.sourceforge.net/project/%{name}/%{name}-%{version}.zip

%description
DBforBIX is a daemon designed to work in combination with Zabbix Enterprise Monitor to provide multi-tiered monitoring, performance and availability reporting and measurement for the many kind of different databases, along with server performance metrics.
It provides an effective mechanism to acquire data from numerous databases installation, and in turn provides this information for monitoring and performance metrics to your Zabbix server.
You can then utilize the reporting capabilities of Zabbix for all data collected, and provide analysis such as graphs and service level agreement metrics for stakeholders.
The current distribution contains a set of pre-defined templates which incorporate alerting and graphing capabilities from initial deployment.
However these can be fine tuned to suit your needs and data/monitoring requirements.
DBforBIX can run as a Windows Service and is able to work on many different environments. Where is available a JRE 1.6 you can run DbforBIX. History
You can read about the history and evolution of the DBforBIX plug-in in these threads below:
Original here: http://www.zabbix.com/forum/showthread.php?t=13666
Latest here: http://www.zabbix.com/forum/showthread.php?t=16391
The origins of DBforBIX can be traced though Orabbix, PostBIX, MySQLBIX and DB2Bix, and as such inherits all its predecessors benefits.

%prep
%setup -q -c

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}/template
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}/logs
mkdir -p %{buildroot}%{_sysconfdir}/%{name}-%{version}/doc

%if 0%{?with_systemd}
install -Dm 0755 init.d/%{name} %{buildroot}/%{_lib}/systemd/systemd-%{name}
%else
install -Dm 0755 init.d/%{name} %{buildroot}%{_initrddir}/%{name}
%endif

install -Dm 755 run.sh -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/
install -Dm 755 conf/config.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/db2query.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/mssqlquery.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/mysqlquery.props.sample.props -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/pgsqlquery.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/db2query.props -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/log4j.properties -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/mysqlquery.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 conf/oraclequery.props.sample -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/conf
install -Dm 755 lib/commons-codec-1.4.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/commons-dbcp-1.4.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/commons-logging-1.1.1.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/jtds-1.2.5.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/mysql-connector-java-5.1.14-bin.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/commons-daemon-1.0.5.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/commons-lang-2.5.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/commons-pool-1.5.4.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/log4j-1.2.15.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 lib/postgresql-9.0-801.jdbc4.jar -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/lib
install -Dm 755 template/template_mysql.xml -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/template
install -Dm 755 template/template_oracle.xml -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/template
install -Dm 755 template/template_postgresql.xml -t %{buildroot}%{_sysconfdir}/%{name}-%{version}/template

%files
%doc doc/CHANGELOG.txt doc/gpl.txt doc/DBforBIX-0.4.pdf
%if 0%{?with_systemd}
/%{_lib}/systemd/systemd-%{name}
%else
{_initrddir}/%{name}
%endif

%{_sysconfdir}/%{name}-%{version}/run.sh
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/config.props.sample
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/db2query.props.sample
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/mssqlquery.props.sample
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/mysqlquery.props.sample.props
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/pgsqlquery.props.sample
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/db2query.props
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/log4j.properties
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/mysqlquery.props.sample
%config(noreplace) %{_sysconfdir}/%{name}-%{version}/conf/oraclequery.props.sample
%{_sysconfdir}/%{name}-%{version}/lib/commons-codec-1.4.jar
%{_sysconfdir}/%{name}-%{version}/lib/commons-dbcp-1.4.jar
%{_sysconfdir}/%{name}-%{version}/lib/commons-logging-1.1.1.jar
%{_sysconfdir}/%{name}-%{version}/lib/jtds-1.2.5.jar
%{_sysconfdir}/%{name}-%{version}/lib/mysql-connector-java-5.1.14-bin.jar
%{_sysconfdir}/%{name}-%{version}/lib/commons-daemon-1.0.5.jar
%{_sysconfdir}/%{name}-%{version}/lib/commons-lang-2.5.jar
%{_sysconfdir}/%{name}-%{version}/lib/commons-pool-1.5.4.jar
%{_sysconfdir}/%{name}-%{version}/lib/log4j-1.2.15.jar
%{_sysconfdir}/%{name}-%{version}/lib/postgresql-9.0-801.jdbc4.jar
%{_sysconfdir}/%{name}-%{version}/template/template_mysql.xml
%{_sysconfdir}/%{name}-%{version}/template/template_oracle.xml
%{_sysconfdir}/%{name}-%{version}/template/template_postgresql.xml

%changelog
* Tue Jun 11 2013 Marcelo Barbosa <mr.marcelo.barbosa@gmail.com> - 0.6
- Initial package
